### Method

# Gtk GLArea set_has_depth_buffer

#### Declaration [src]

    void
    gtk_gl_area_set_has_depth_buffer (
      GtkGLArea* area,
      gboolean has_depth_buffer
    )

#### Description [src]

Sets whether the `GtkGLArea` should use a depth buffer.

If `has_depth_buffer` is `TRUE` the widget will allocate and enable a depth buffer for the target framebuffer. Otherwise there will be none.

Sets property | `Gtk.GLArea:has-depth-buffer`

#### Parameters

`has_depth_buffer`

  Type: `gboolean`

  `TRUE` to add a depth buffer.